---
apiVersion: "v1"
items:
- apiVersion: "v1"
  imagePullSecrets: []
  kind: "ServiceAccount"
  metadata:
    annotations: {}
    labels:
      package: "console-kubernetes"
    name: "fabric8"
  secrets: []
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "console"
      provider: "fabric8"
      version: "2.2.117"
      group: "io.fabric8.apps"
      package: "console-kubernetes"
    name: "fabric8"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 9090
    selector:
      project: "console"
      provider: "fabric8"
      group: "io.fabric8.apps"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "templates"
      provider: "fabric8"
      version: "2.2.117"
      group: "io.fabric8.apps"
      package: "console-kubernetes"
    name: "templates"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "templates"
      provider: "fabric8"
      group: "io.fabric8.apps"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-commit: "eb5fc1bff3c1c49a485656044500288010998ce1"
      fabric8.io/git-branch: "release-v2.2.117"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/eb5fc1bff3c1c49a485656044500288010998ce1"
      fabric8.io/build-id: "2"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/2"
    labels:
      project: "console"
      provider: "fabric8"
      version: "2.2.117"
      group: "io.fabric8.apps"
      package: "console-kubernetes"
    name: "fabric8"
  spec:
    replicas: 1
    selector:
      project: "console"
      provider: "fabric8"
      version: "2.2.117"
      group: "io.fabric8.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "console"
          provider: "fabric8"
          version: "2.2.117"
          group: "io.fabric8.apps"
          package: "console-kubernetes"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "GOOGLE_OAUTH_SCOPE"
            value: "profile"
          - name: "OAUTH_AUTHORIZE_PORT"
            value: "8443"
          - name: "GOOGLE_OAUTH_CLIENT_ID"
            value: ""
          - name: "OAUTH_AUTHORIZE_URI"
            value: "https://vagrant.f8:8443/oauth/authorize"
          - name: "GOOGLE_OAUTH_AUTHENTICATION_URI"
            value: "https://accounts.google.com/o/oauth2/auth"
          - name: "GOOGLE_OAUTH_CLIENT_SECRET"
            value: ""
          - name: "OAUTH_CLIENT_ID"
            value: "fabric8"
          - name: "OAUTH_PROVIDER"
            value: "basic"
          - name: "GOOGLE_OAUTH_REDIRECT_URI"
            value: "https://fabric8.vagrant.f8"
          - name: "GOOGLE_OAUTH_TOKEN_URL"
            value: "https://www.googleapis.com/oauth2/v3/token"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/fabric8-console:2.2.117"
          name: "fabric8-container"
          ports:
          - containerPort: 9090
            name: "http"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.117"
      fabric8.io/git-commit: "eb5fc1bff3c1c49a485656044500288010998ce1"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/eb5fc1bff3c1c49a485656044500288010998ce1"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/2"
      fabric8.io/build-id: "2"
    labels:
      project: "templates"
      provider: "fabric8"
      version: "2.2.117"
      group: "io.fabric8.apps"
      package: "console-kubernetes"
    name: "templates"
  spec:
    replicas: 1
    selector:
      project: "templates"
      provider: "fabric8"
      version: "2.2.117"
      group: "io.fabric8.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "templates"
          provider: "fabric8"
          version: "2.2.117"
          group: "io.fabric8.apps"
          package: "console-kubernetes"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "DATA_DIR"
            value: "/data/templates"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/templates:2.2.117"
          name: "templates"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts:
          - mountPath: "/data"
            name: "template-data"
            readOnly: false
        imagePullSecrets: []
        nodeSelector: {}
        volumes:
        - gitRepo:
            repository: "https://github.com/fabric8io/templates.git"
            revision: "master"
          name: "template-data"
kind: "List"
